import { getTime } from '../../../../onchain';
import { HISTORY_CODES, HistoryLink } from '../../shared';

export const createLinkToHistory = ({ code, historyId }: { code: HISTORY_CODES; historyId: string }): HistoryLink => {
  const timestamp = getTime();

  return {
    historyId,
    timestamp,
    code,
  };
};
